# PhasicFlow: utilities/postprocessPhasicFlow/fieldOperations.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

fieldOperations.hpp File Reference
Include dependency graph for fieldOperations.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Functions

template<typename T >
uniquePtr< rectMeshField_H< T > > | sumOp (pointField_H< T > &field, pointRectCell &pointToCell)
template<typename T , typename incMask >
uniquePtr< rectMeshField_H< T > > | sumMaksOp (pointField_H< T > &field, pointRectCell &pointToCell, const incMask &mask)